commit:     115428723bffc05c9f37fce4cf2763a1f4f0252c
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 18 22:50:12 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Nov 18 22:52:23 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11542872

www-apps/grafana-bin: bump to v7.3.3

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 www-apps/grafana-bin/Manifest                 |  1 +
 www-apps/grafana-bin/grafana-bin-7.3.3.ebuild | 64 +++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/www-apps/grafana-bin/Manifest b/www-apps/grafana-bin/Manifest
index 1744e2533e3..aff37ca7968 100644
--- a/www-apps/grafana-bin/Manifest
+++ b/www-apps/grafana-bin/Manifest
@@ -1 +1,2 @@
 DIST grafana-bin-7.3.1.tar.gz 53950606 BLAKE2B 
16e0253371cb267876772e788e00d2330c664e3f0fea7f3891dbf5d4300e0baf99dd626ac2801201fda87f967d0013a151c672b341179e355acd43430f51acaa
 SHA512 
0436b5bec58e52582542bb1efe7825ffc7abd5289d82916c6a54c6aee77a7350060ef877734b32332a5f3935cf1a3404b670e5f9344a8bb9b5c91d95ad81e214
+DIST grafana-bin-7.3.3.tar.gz 53921906 BLAKE2B 
7fff1f6d1ef833815011505ec712e625fca59718ecdc8855bf5495c252b76f7d3dfe7ef28b6c66bd219750817c03a55921e6658c318ec3a227531641e9eb489a
 SHA512 
0b982ac893f31c898865349f41efcb60ccf5789108d573677d9f33a5baf3cb532a8e80704bbd00154062de4d201a3e203f58569f1fd291fec2edfc0a2f434dfb

diff --git a/www-apps/grafana-bin/grafana-bin-7.3.3.ebuild 
b/www-apps/grafana-bin/grafana-bin-7.3.3.ebuild
new file mode 100644
index 00000000000..d666b4c9db3
--- /dev/null
+++ b/www-apps/grafana-bin/grafana-bin-7.3.3.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit systemd
+
+MY_PN=${PN/-bin/}
+MY_PV=${PV/_beta/-beta}
+S=${WORKDIR}/${MY_PN}-${MY_PV}
+
+DESCRIPTION="Gorgeous metric viz, dashboards & editors for Graphite, InfluxDB 
& OpenTSDB"
+HOMEPAGE="https://grafana.org";
+SRC_URI="https://dl.grafana.com/oss/release/grafana-${PV}.linux-amd64.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="acct-group/grafana
+       acct-user/grafana"
+RDEPEND="${DEPEND}
+       media-libs/fontconfig"
+
+QA_PREBUILT="usr/bin/grafana-*"
+QA_PRESTRIPPED=${QA_PREBUILT}
+
+src_install() {
+       keepdir /etc/grafana
+       insinto /etc/grafana
+       newins "${S}"/conf/sample.ini grafana.ini
+       rm "${S}"/conf/sample.ini || die
+
+       # Frontend assets
+       insinto /usr/share/${MY_PN}
+       doins -r public conf
+
+       dobin bin/grafana-cli
+       dobin bin/grafana-server
+
+       newconfd "${FILESDIR}"/grafana.confd grafana
+       newinitd "${FILESDIR}"/grafana.initd.3 grafana
+       systemd_newunit "${FILESDIR}"/grafana.service grafana.service
+
+       keepdir /var/{lib,log}/grafana
+       keepdir /var/lib/grafana/{dashboards,plugins}
+       fowners grafana:grafana /var/{lib,log}/grafana
+       fowners grafana:grafana /var/lib/grafana/{dashboards,plugins}
+       fperms 0750 /var/{lib,log}/grafana
+       fperms 0750 /var/lib/grafana/{dashboards,plugins}
+}
+
+postinst() {
+       if [[ -z "${REPLACING_VERSIONS}" ]]; then
+               # This is a new installation
+
+               elog "${PN} has built-in log rotation. Please see [log.file] 
section of"
+               elog "/etc/grafana/grafana.ini for related settings."
+               elog
+               elog "You may add your own custom configuration for 
app-admin/logrotate if you"
+               elog "wish to use external rotation of logs. In this case, you 
also need to make"
+               elog "sure the built-in rotation is turned off."
+       fi
+}

Reply via email to